display-dga(7)

NAME
display-dga : Display using XFree86-DGA extension

SYNOPSIS
display-dga: [-nocursor] [-noinput] [-physz==>sizex>,<sizey>[dpi]]
             [<display>]

DESCRIPTION
Uses the XFree86 DGA extension to do fullscreen direct framebuffer access on X servers which support this. For systems without kernel framebuffer support, the program must be run as root for this target to be able to mmap /dev/mem.

OPTIONS

display
    The X display to connect to, otherwise defaults to the display specified in DISPLAY.

-nocursor
    Normal behavior of display-x and display-xlib is to create a small dot mouse cursor pixmap which is visible when the mouse is positioned over the window containing the visual. This can get in the way of mouse cursors implemented by the application. With this option, you will not see an X mouse cursor when it is over the visual.

-noinput
    XF86DGA events sent to the window are not captured and merged with any other LibGII input sources. This allows one to take input from raw devices without receiving duplicate events should X also be configured to use the device.

-physz==<sizex>,<sizey>[dpi]
    This option will override the physical screen size reported by the X server, which affects applications which wish to remain resolution independent. sizex, sizey are the x,y size of the screen in millimeters, unless the optional dpi string is affixed, in which case, they represent resolution in dots-per-inch. Yes, there are two equals signs there, for reasons of compatibility with other targets.

ENVIRONMENT VARIABLES

GGI_DGA_FBDEV
    specifies a framebuffer device to mmap instead of /dev/mem. This allows you to use the DGA target without root privileges!

FEATURES

•   DirectBuffer always available.

•   Some operations may be accelerated depending on the X server

•   Multiple frames

•   Panning